/* ✅ 모바일 반응형 */
@media (max-width: 480px) {
    .pc, .pc-flex{display: none !important;}
    .mobile{display: flex !important;}
    .mobile-block{display: block !important;}

    .m-btn-size-44{height: 44px;}

    /* slick page dots 설정 */
    .slick-dots li {width: 14px !important;height: 2px !important;}
    .slick-dotted.slick-slider {margin-bottom: 0!important;}


    /* header */

    .header-wrap.layout {padding: 0 16px;}
    .header-wrap .item .layout-register {padding: 0}


    /* footer */
    .footer-wrap footer {padding: 8px 16px 16px;}
    .footer-wrap footer .link-wrap {display: block;padding: 0;}
    .footer-wrap footer .link-wrap .footer-menu{flex-direction: column;}
    .footer-wrap footer .link-wrap .footer-logo{width: 100%; padding: 10px 0;}
    .footer-wrap footer .link-wrap .footer-template{width: 100%;}
    .footer-wrap footer .link-wrap .footer-template ul{grid-template-columns: 1fr 1fr;}


    .footer-wrap footer .link-wrap .link-box .link-title {font-size: 16px;height: 50px;line-height: 50px;cursor: pointer;font-weight: 500;color: #000;cursor: pointer;margin-bottom: 0;display: flex;justify-content: space-between;align-items: center;}
    .footer-wrap footer .link-wrap .link-title.dropdown::after{content: "";display: inline-block;width: 20px;height: 20px;background: url('/img/user/common/icon/down-arrow.svg') no-repeat center center / contain;vertical-align: middle;transition: transform 0.3s ease; /* 부드럽게 회전 */}
    .footer-wrap footer .link-box.open .link-title.dropdown::after{transform: rotate(180deg);}

    .footer-wrap footer .link-wrap .link-box .link-list {display: none;padding: 4px 0;}

    .footer-wrap footer .link-wrap .link-box.open .link-list,
    .footer-wrap footer .link-wrap .link-box.open .link-contact-info{display: block;}

    .footer-wrap footer .link-wrap .link-box .link-follow-list {display: grid;grid-template-columns: repeat(6, 22px);gap: 12px;justify-content: flex-start;}
    .footer-wrap footer .link-wrap .link-box .link-follow {width: 32px;height: 32px;background-size: 20px;background-position: center;border-radius: 50%;}

    .footer-wrap footer .link-wrap .link-box .link-list .link {font-size: 14px;margin-bottom: 16px;}

    .footer-wrap footer .footer {flex-direction: column-reverse;text-align: center;padding-top: 10px;border: none;}
    .footer-wrap footer .link-wrap .link-box:first-child {order: 10;}
    .footer-wrap footer .link-wrap {display: flex;flex-direction: column;}
    .footer-wrap footer .footer .copyright{padding-top: 24px;text-align: center;font-size: 14px;line-height: 16px;color: #707582;width: 100%;border-top: 1px solid #f3f4f6;}
    .footer-wrap footer .footer .partner-list {margin-bottom: 16px;width: 100%;gap: 20px;}
    .footer-wrap footer .footer .partner-list .partner{padding: 5px;}
    .footer-wrap footer .footer .partner-list .partner:not(:last-child) {margin-right: 0;}
    .footer-wrap footer .footer .partner-list .partner img {height: 25px;}
    .footer-wrap footer .link-wrap .link-box .link-contact-info{}
    .footer-wrap footer .link-wrap .link-box .link-contact-info .contact-title{font-size: 12px;font-weight: 500;line-height: 14px;margin-bottom: 4px;color: #707582;}
    .footer-wrap footer .link-wrap .link-box .link-contact-info .contact-content{font-size: 14px;line-height: 17px;color: #2496ce;}


    .main{margin-top: 64px;}
    .main.gray{background-color: #f9fbfd;}



    /* login */
    .login-wrap{display: flex;}
    .login-wrap .login-box{flex-direction: column;padding: 0 16px 40px; margin: 0;box-sizing: border-box;width: 100%; height: 100%;border: none; border-radius: 0;}
    .login-wrap .login-box .login-left{display: none;}
    .login-wrap .login-box .login-right{flex: 1 1;padding: 16px 0 0;max-width: 100%;margin-left: auto;justify-self: flex-end; width: 100%;}
    .login-wrap .login-box .login-right .login-title{display: flex; justify-content: space-between;margin-bottom: 16px;}
    .login-wrap .login-box .login-right .login-title .title{font-size: 24px;font-weight: 500;}
    .login-wrap .login-box .login-right .login-info .input-group:last-child{margin-top: 12px!important;}
    .login-wrap .login-box .login-right .login-info .input-group .input-wrapper input{width: 100%;}
    .login-wrap .login-box .login-right .login-btn{width: 100%;}
    .login-wrap .login-box .login-right .no-account{justify-content: center;}


    /* main */
    .main-wrap .main-content .content-wrap{min-height: auto;width: 100%;padding: 24px 16px;}
    .main-wrap .main-content .content-wrap .content-box{width: 100%;}
    .main-wrap .main-content .content-wrap .content-box .content-title{font-size: 32px;text-align: start;line-height: 40px;letter-spacing: 0;margin-bottom: 0 !important;}
    .main-wrap .main-content .content-wrap .content-box .content-subtitle{font-size: 14px;margin: 12px 0 24px;text-align: start;line-height: 20px;}
    .main-wrap .main-content .content-wrap .content-box .link-box .link-icon{display: none;}
    .main-wrap .main-content .content-wrap .img-box{display: none;}
    .main-wrap .main-content .content-wrap .content-info{margin-top: 25px; display: grid; grid-template-columns: 1fr 1fr;}
    .main-wrap .main-content .content-wrap .content-info .info-box .info-value{font-size: 20px;line-height: 26px;}
    .main-wrap .main-content .content-wrap .content-info .info-box .info-description{font-size: 12px;line-height: 16px;}
    .main-wrap .main-content .content-wrap .content-info .info-box .info-description.info-more::after{width: 20px;height: 20px;}

    .main-wrap .notice-wrap{padding: 0 16px; box-sizing: border-box;}
    .main-wrap .notice-wrap .notice-box{width: 100%; background-size: 16px 16px;}
    .main-wrap .notice-wrap .notice-box .notice-carousel .notice-list .notice-item{font-size: 12px;margin-left: 26px;}
    .main-wrap .notice-wrap .notice-box .notice-carousel .notice-list .notice-item .notice-content{display: block;padding-right: 50px;overflow: hidden;color: #000;line-height: 20px;white-space: nowrap;text-overflow: ellipsis;}
    .main-wrap .notice-wrap .notice-box .notice-carousel .notice-list .notice-item .notice-more span{display: none}


    .main-wrap .banner-wrap {padding: 0 16px 20px;width: 100%; box-sizing: border-box;height: 100%;}
    .main-wrap .banner-wrap .banner-carousel .banner-list .banner-item img{width: 100%;height: 100%;border-radius: 12px;}

    .main-wrap .move-btn{height: 48px;font-size: 16px;}

    .main-wrap .info-wrap{padding: 40px 16px;width: 100%;box-sizing: border-box;}
    .main-wrap .info-wrap .info-title{font-size: 24px;line-height: 34px;}
    .main-wrap .info-wrap .info-subtitle{font-size: 14px;margin: 8px 0 24px;}
    .main-wrap .info-wrap .info-content{gap: 12px;flex-direction: column;}
    .main-wrap .info-wrap .info-content .content-box{padding: 16px;}
    .main-wrap .info-wrap .info-content .content-box.content-left{width: 100%;box-sizing: border-box;}
    .main-wrap .info-wrap .info-content .content-box.content-right{width: 100%;box-sizing: border-box;}
    .main-wrap .info-wrap .info-content .content-box .tab-list .tab{font-size: 14px;}
    .main-wrap .info-wrap .info-content .content-box .tab-list .tab.active{color: #000;background: #f3f4f6;border-radius: 30px;padding: 8px 10px;}
    .main-wrap .info-wrap .info-content .content-box .table-head ul{grid-template-columns: 2fr 1fr 1fr; margin: 12px 0 8px; box-sizing: border-box;}
    .main-wrap .info-wrap .info-content .content-box .table-head ul li:first-child{padding-left: 0;}
    .main-wrap .info-wrap .info-content .content-box:first-child .table-head ul li:nth-child(3){display: none;}
    .main-wrap .info-wrap .info-content .content-box:first-child .table-head ul li:nth-child(4){text-align: right;}
    .main-wrap .info-wrap .info-content .content-box:first-child .table-head ul li:nth-child(5){display: none;}
    .main-wrap .info-wrap .info-content .content-box .table-head ul.col-3 li:last-child{display:flex;justify-content: flex-end;}
    .main-wrap .info-wrap .info-content .content-box .table-body ul li{grid-template-columns: 2fr 1fr 1fr; height: 52px;}
    .main-wrap .info-wrap .info-content .content-box .table-body ul li:hover {border: none; background: none;}
    .main-wrap .info-wrap .info-content .content-box .table-body ul li .info-value:first-child{padding-left: 0;}
    .main-wrap .info-wrap .info-content .content-box:first-child .table-body ul li .info-value:nth-child(3){display: none;}
    .main-wrap .info-wrap .info-content .content-box:first-child .table-body ul li .info-value:nth-child(4){justify-content: flex-end;}
    .main-wrap .info-wrap .info-content .content-box:first-child .table-body ul li .info-value:nth-child(5){display: none;}
    .main-wrap .info-wrap .info-content .content-box .table-body ul.col-3 li .info-value:last-child{justify-content: flex-end;}
    .main-wrap .info-wrap .move-btn{margin-top: 28px;}

    .main-wrap .cs-bg{background: #fafafa;}
    .main-wrap .cs-wrap{padding: 40px 16px; width: 100%; gap: 30px; box-sizing: border-box;}
    .main-wrap .cs-wrap .title-wrap{background: #fafafa; align-items: center;}
    .main-wrap .cs-wrap .title-wrap .title{font-size: 24px;line-height: 34px; text-align: center;}
    .main-wrap .cs-wrap .title-wrap .subtitle{font-size: 14px;margin: 8px 0 24px;}
    .main-wrap .cs-wrap .link-wrap{flex-direction: column; gap: 12px;}
    .main-wrap .cs-wrap .link-wrap .app-info{padding: 16px; gap: 12px;border: 1px solid #edeef0;border-radius: 16px;background: #fff;}
    .main-wrap .cs-wrap .link-wrap .app-info .qr-code{width: 100px;height: 100px;box-shadow: 0 1px 4px 0 rgba(0, 0, 0, .08);}
    .main-wrap .cs-wrap .link-wrap .app-info .link-box .link-title{font-size: 16px;margin-top: 12px;}
    .main-wrap .cs-wrap .link-wrap .app-info .link-box .link-list{gap: 16px;}
    .main-wrap .cs-wrap .link-wrap .app-info .link-box .link-list .link{width: 48px;height: 48px;border-radius: 10px;box-shadow: 0 1px 4px 0 rgba(0, 0, 0, .08);}
    .main-wrap .cs-wrap .link-wrap .cs-info{padding-left: 0;height: 138px;gap: 12px;border-left: none;}
    .main-wrap .cs-wrap .link-wrap .cs-info .cs-info-box{flex-direction: row-reverse;height: 73px;width: 100%;border-radius: 12px;padding: 16px 8px;border: 1px solid #edeef0; align-items: center;justify-content: flex-end;gap: 8px;}
    .main-wrap .cs-wrap .link-wrap .cs-info .cs-info-box .cs-info-txt{display: flex;}
    .main-wrap .cs-wrap .link-wrap .cs-info .cs-info-box .cs-info-txt .cs-title{font-size: 16px;font-weight: 500;line-height: 0;}
    .main-wrap .cs-wrap .link-wrap .cs-info .cs-info-box .cs-info-txt .cs-subtitle{display: none;}
    .main-wrap .cs-wrap .link-wrap .cs-info .cs-info-box .cs-info-txt .more{display: none;}
    .main-wrap .cs-wrap .link-wrap .cs-info .cs-info-box .cs-img{width: 48px;height: 48px; background-size: cover;}


    .market-wrap{padding: 10px 20px 0;}

    .market-wrap .market-info{display: none;}

    .market-wrap .market-tab{flex-direction: column; width: 100%; gap: 12px; margin: 0 auto 12px;padding-top: 12px;}
    .market-wrap .market-tab .market-nav{height: 40px;display: flex;font-size: 22px;line-height: normal;color: #707a8a; align-items: center;gap: 12px;}
    .market-wrap .market-tab .market-nav .nav-item{cursor: pointer;padding: 8px 16px; font-size: 13px; border-radius: 4px;}
    .market-wrap .market-tab .market-nav .nav-item:not(:last-child){margin-right: 0;}
    .market-wrap .market-tab .market-nav .nav-item.active{background-color: #2496ce; color: #fff; font-weight: normal;}

    .market-wrap .market-tab .market-search .inp-search{height: 45px; width: 100%}

    .market-wrap .market-list-wrap{width: 100%;}
    .market-wrap .market-list-wrap .market-list-select{width: 100%;position: relative;flex-direction: row-reverse;}
    .market-wrap .market-list-wrap .market-list-select select{width: 160px;padding: 8px 16px;border-radius: 4px; background: #fff;}
    .market-wrap .market-list-wrap .market-list-select::after{content: "";position: absolute;right: 4px;top: 6px;width: 20px;height: 20px;background: url('/img/user/common/icon/down-arrow.svg') no-repeat center center / contain;vertical-align: middle;pointer-events: none;}

    .chart-wrap .chart-container{display: flex; flex-direction: column;}
    .chart-wrap .chart-info{display: flex; flex-direction: column;}
    .chart-wrap .chart-box{height: 100%;}

    .chart-wrap .chart-box .chart-header{height: max-content;  margin: 0; padding: 5px 16px;box-sizing: border-box;}
    .chart-wrap .chart-box .chart-header .coin-value-wrap{display: flex; flex-direction: column; gap: 8px; width: 100%;justify-content: center}
    .chart-wrap .chart-box .chart-header .coin-value-wrap:last-child{align-items: flex-end;}
    .chart-wrap .chart-box .chart-header .coin-info{display: flex; align-items: center; height: 44px; padding-left: 0;position: relative;}
    .chart-wrap .chart-box .chart-header .coin-info .coin-logo img{width: 30px;}
    .chart-wrap .chart-box .chart-header .coin-info .coin-name{display: flex; gap: 5px; align-items: center;}
    .chart-wrap .chart-box .chart-header .coin-info .coin-name .coin-zero-fee{margin-top: 0;}
    .chart-wrap .chart-box .chart-header .coin-info:after {display: none;}
    .chart-wrap .chart-box .chart-header .coin-value-wrap:not(:first-child) .coin-value{display: grid; gap: 8px; margin-left: 0;justify-items: end;}
    .chart-wrap .chart-box .chart-header .coin-value .info-title{font-size: 12px;}
    .chart-wrap .chart-box .chart-header .coin-value .info-title.bold{font-size: 30px;}
    .chart-wrap .chart-box .chart-header .coin-value .info-content{font-size: 12px; font-weight: bold;}
    .chart-wrap .chart-box .chart-header .coin-value .coin-value-box{display: flex; gap: 15px;align-items: center;}
    .chart-wrap .chart-box .chart-header .coin-value .coin-value-box .info-content{}
    .chart-wrap .chart-box .chart-header .coin-value .coin-value-box .info-percent{font-size: 12px;}
    .chart-wrap .chart-box .chart-header .coin-info .tickers-dropdown ul li {font-size: 10px;}
    .chart-wrap .chart-box .chart-header .coin-info .dropdown.active::after {transform: rotate(180deg);}
    .chart-wrap .chart-box .chart-header .coin-info .dropdown.active .tickers-dropdown {opacity: 1;visibility: visible;transform: translate(0, 0);}
    .chart-wrap .chart-box .chart-body .chart-tool .tool-left .chart-type .chart-type-list{left: -80px;top: 16px;transform-origin: 0 -4px;margin: 0;padding: 0;color: #fff;font-size: 14px;z-index: 10;background: #191a1d;border: 1px solid #303238;opacity: 0;visibility: hidden;transform: translate(0,-8px);transition: opacity 0.25s ease, transform 0.25s ease, visibility 0.25s ease;}
    .chart-wrap .chart-box .chart-body .chart-tool .tool-left .chart-type:hover .chart-type-list{opacity: 1;visibility: visible;transform: translate(0,0);}
    .chart-wrap .chart-box .chart-header .coin-info .dropdown .tickers-dropdown {width: 90%; top:110px;}
    .chart-wrap .chart-box .chart-body .chart-tool .tool-right{display: none;}

    .chart-wrap .chart-box .chart-body .chart-graph #chart-price{width: 100%; height: 400px;}

    .chart-wrap .chart-info .price-stack-wrap{width: 100%;}
    .chart-wrap .table-wrap {height: auto;}
    .chart-wrap .transaction-col{width: 100%;margin-top: 10px}


    .order-history-wrap{padding: 10px 20px 0; background: none;}
    .order-history-wrap .history-container{width: 100%;}
    .history-tabs{flex-direction: column; width: 100%; gap: 12px; margin: 0 auto 12px;padding-top: 12px;}
    .history-tabs ul{height: 40px;display: flex;font-size: 22px;line-height: normal;color: #707a8a; align-items: center;gap: 12px;}
    .history-tabs ul li{cursor: pointer;padding: 8px 16px; font-size: 12px; border-radius: 4px; height: 35px;box-sizing: border-box;}
    .history-tabs ul li:not(:last-child){margin-right: 0;}
    .history-tabs ul li.active{background-color: #2496ce !important; color: #fff !important; font-weight: normal!important;border: none;}

    .market-wrap .market-tab .market-search .inp-search{height: 45px; width: 100%}


    .earn-wrap{padding: 10px 20px 0;}
    .earn-container{width: 100%;}
    .my-earn-info-box{padding: 20px 18px; flex-direction: column; gap: 20px;}
    .my-earn-info-box .my-earn-info {gap: 20px;width: 100%;}
    .my-earn-info-box .my-earn-info .info-box{gap: 19px;flex-direction: column;width: 100%;align-items: center;}
    .my-earn-info-box .my-earn-info .info-box:first-child {padding-right: 20px;}
    .my-earn-info-box .my-earn-info .info-box .info .info-title {font-size: 13px;}
    .my-earn-info-box .my-earn-info .info-box .info .info-value {font-size: 18px;display: flex;flex-direction: column;}
    .my-earn-info-box .earn-info-link {gap: 12px;}
    .my-earn-info-box .earn-info-link .link-btn {border-radius: 16px;height: 36px;line-height: 36px;}
    .earn-product-head-title {font-size: 24px;}

    .earn-product-list .earn-product-list-head .list-head-txt:not(:first-child){text-align: right;}
    .earn-product-list .earn-product-list-head{grid-template-columns: 1fr 1fr 1fr 1fr;}
    .earn-product-list .earn-product-list-body ul li{grid-template-columns: 1fr 1fr 1fr 1fr;}
    .earn-product-list .earn-product-list-body ul li > div {padding: 10px 5px;}
    .earn-product-list .earn-product-list-body ul li .coin-info .coin-icon img{width: 20px;height: 20px; margin-top: 2px;}
    .earn-product-list .earn-product-list-body ul li .coin-info .coin-name{font-size: 14px;}
    .earn-product-list .earn-product-list-body ul li .earn-minimum{font-size: 13px;    justify-content: flex-end; text-align: right;}
    .earn-product-list .earn-product-list-body ul li .earn-est-apy{font-size: 13px;    justify-content: flex-end; text-align: right;}
    .earn-product-list .earn-product-list-body ul li .earn-subscribe{justify-content: flex-end;}
    .earn-product-list .earn-product-list-body ul li .earn-subscribe .earn-subscribe-btn {padding: 0 3px;height: 36px;line-height: 36px;width: 60px;font-size: 12px;}
    .earn-product-list .earn-product-list-body ul li .earn-subscribe .earn-subscribe-btn .btn-title {font-size: 11px;}
    .earn-product-list .earn-product-list-body ul li .earn-subscribe .earn-subscribe-btn .btn-title::after {content :none};

    .user-notice-wrap{padding: 10px 20px 0;}
    .user-notice-container{width: 100%;}
    .notice-side-nav{display: none;}
    .user-notice-container .notice-body{padding: 0;}
    .user-notice-container .notice-body .notice-detail-box{
        flex: 1;
        min-width: fit-content;
        max-width: none;
        padding: 0 16px;
    }

    .overview-wrap{padding: 10px 20px 0;}
    .overview-wrap .overview-container{width: 100%;}
    .total-box{padding: 24px;}
    .total-box.earn-box{flex-direction: column; justify-content: center}
    .total-box .total-title{font-size: 14px; font-weight: 600; }
    .total-box .total-value{font-size: 26px;font-weight: 700;margin: 20px 0 12px;}
    .total-box .btn-box .btn{width: 100%;}
    .asset-box-wrap .asset-box .asset-value {font-size: 18px;}
    .asset-table-box{padding: 24px 18px;}
    .asset-table-box .asset-search-box {align-items: flex-start;margin-bottom: 8px;flex-direction: column;gap: 14px;}
    .asset-table-box .asset-search-box .asset-search {width: 100%;}
    .asset-table-box .asset-search-box .asset-search .inp-search {width: 100%;}
    #list-mobile ul li .coin-info-box .coin-pair {border: 1px solid #cecece;}
    #list-mobile ul li .coin-info-box .coin-info {border: 1px solid #cecece;}
    #list-mobile ul li .coin-info-box.open .coin-pair {background-color: #2496ce28;}
    #list-mobile .no-data {border: 1px solid #cecece;}

    .user-popup-wrap .user-popup{width: 95vw;padding: 16px;box-sizing: border-box;}
    .user-subscribe-popup-wrap .user-subscribe-popup {width: 90%;}
    .user-subscribe-popup-content{grid-template-columns: 1fr;}

    .user-subscribe-popup-content .user-subscribe-content-body:first-child {border-right: none;border-bottom: 1px solid #edeef0;}
    .user-subscribe-agree .agree-check-label {height: 100%;padding-top: 3px;}
    .user-subscribe-popup-bottom .user-subscribe-btn .confirm-btn {width: 100px;}

    .identity-wrap{padding: 10px 20px 0;}
    .identity-container{width: 100%;}
    .identity-body .info-box .info-form {width: 100%;}
    .identity-body .info-box {padding: 16px;}
    .identity-body .info-item .info-input-box .upload-img {width: 100%;}


}